﻿import es
import langlib
import playerlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

addon = es.import_addon("soccer_mod_2010/admin/settings")

settings = ["save_round_end", "goal", "assist", "own_goal", "hit", "pass", "interception", "multiplier"]

# ******************** Load ********************
def load():
	for item in settings:
		es.set("sm_match_rank_%s" % (item), int(es.keygetvalue("soccer_mod_settings", "match", "rank_%s" % (item))))

	create_popup()

	es.addons.registerSayFilter(filter)

# ******************** Create popup ********************
def create_popup():
	common = langlib.Strings(lang_dir + "popup_common.ini")
	texts = langlib.Strings(lang_dir + "admin/settings/popup_admin_settings_match_stats.ini")

	popup = popuplib.create("sm_popup_admin_settings_match_stats")

	popup.addline("SOCCER MOD %s" % (texts("title")))
	popup.addline(" ")

	if es.ServerVar("sm_match_rank_save_round_end") == 1:
		value = common("on")
	else:
		value = common("off")

	popup.addline("->1. %s: %s" % (texts("rank_save_round_end"), value))
	popup.select(1, change_setting)

	for i in range(1, len(settings)):
		popup.addline("->%s. %s: %s" % (i + 1, texts("rank_%s" % (settings[i])), es.ServerVar("sm_match_rank_%s" % (settings[i]))))
		popup.select(i + 1, change_setting)

	popup.addline(" ")
	popup.addline("->9. %s" % (common("back")))
	popup.addline(" ")
	popup.addline("->0. %s" % (common("close")))

	popup.submenu(9, "sm_popup_admin_settings_match")

# ******************** Popup choice ********************
def change_setting(userid, choice, popupid):
	messages = langlib.Strings(lang_dir + "admin/settings/messages_settings_match_stats.ini")

	tokens = {}
	player = playerlib.getPlayer(userid)

	if choice == 1:
		addon.set_boolean(userid, "match_stats", "match", "rank_%s" % (settings[choice - 1]), popupid, choice)
	else:
		if es.exists("key", "sm_keygroup_set", player.steamid) == 0:
			es.keycreate("sm_keygroup_set", player.steamid)

		es.keysetvalue("sm_keygroup_set", player.steamid, "setting_type", "settings_match_stats_%s" % (settings[choice - 1]))
		es.tell(userid, "#green", messages("type_rank_%s" % (settings[choice - 1]), tokens, player.get("lang")))

# ******************** Events ********************
def filter(userid, text, teamonly):
	steamid = es.getplayersteamid(userid)
	if es.exists("key", "sm_keygroup_set", steamid) == 1:
		name = "sm_popup_admin_settings_match_stats"

		type = es.keygetvalue("sm_keygroup_set", steamid, "setting_type")
		if type == "settings_match_stats_goal":
			addon.set_number(userid, text, "match_stats", "match", "rank_goal", 0, -100, 100, name, 2)
			return (0, None, 0)
		elif type == "settings_match_stats_assist":
			addon.set_number(userid, text, "match_stats", "match", "rank_assist", 0, -100, 100, name, 3)
			return (0, None, 0)
		elif type == "settings_match_stats_own_goal":
			addon.set_number(userid, text, "match_stats", "match", "rank_own_goal", 0, -100, 100, name, 4)
			return (0, None, 0)
		elif type == "settings_match_stats_hit":
			addon.set_number(userid, text, "match_stats", "match", "rank_hit", 0, -100, 100, name, 5)
			return (0, None, 0)
		elif type == "settings_match_stats_pass":
			addon.set_number(userid, text, "match_stats", "match", "rank_pass", 0, -100, 100, name, 6)
			return (0, None, 0)
		elif type == "settings_match_stats_interception":
			addon.set_number(userid, text, "match_stats", "match", "rank_interception", 0, -100, 100, name, 7)
			return (0, None, 0)
		elif type == "settings_match_stats_match_multiplier":
			addon.set_number(userid, text, "match_stats", "match", "rank_multiplier", 0, 1, 10, name, 8)
			return (0, None, 0)
		else:
			return (userid, text, teamonly)
	else:
		return (userid, text, teamonly)

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_admin_settings_match_stats")

	es.addons.unregisterSayFilter(filter)