﻿import es
import gamethread
import langlib
import playerlib
import popuplib

lang_dir = "cstrike/addons/eventscripts/soccer_mod_2010/language/"

common = langlib.Strings(lang_dir + "popup_common.ini")
messages = langlib.Strings(lang_dir + "shout/messages_shout.ini")
messages_common = langlib.Strings(lang_dir + "messages_common.ini")

used = []
sounds = ["foul", "goal", "ole", "pass", "save", "shot"]

# ******************** Load ********************
def load():
	create_popup()

# ******************** Create popup ********************
def create_popup():
	text = langlib.Strings(lang_dir + "shout/popup_shout.ini")

	popup = popuplib.create("sm_popup_shout")

	popup.addline(text("title"))

	for i in range(0, len(sounds)):
		popup.addline("%s. %s" % (i + 1, text(sounds[i])))

	popup.addline("0. %s" % (common("close")))

	for i in range(1, len(sounds) + 1):
		popup.select(i, shout)

	for i in range(len(sounds) + 1, 10):
		popup.submenu(i, "sm_popup_shout")

# ******************** Commands ********************
def cmd_shout():
	tokens = {}
	userid = es.getcmduserid()
	player = playerlib.getPlayer(userid)

	if es.ServerVar("soccer_mod_allowed") == 1:
		if player.isdead == 0:
			popuplib.send("sm_popup_shout", userid)
		else:
			es.tell(userid, "#green", messages("dead", tokens, player.get("lang")))
	else:
		es.tell(userid, "#green", messages_common("not_allowed", tokens, player.get("lang")))

# ******************** Popup choice ********************
def shout(userid, choice, popupid):
	tokens = {}
	player = playerlib.getPlayer(userid)

	if player.isdead == 0:
		if player.steamid not in used:
			used.append(player.steamid)

			es.emitsound("player", userid, es.ServerVar("sm_shout_sound_%s" % (sounds[choice - 1])), "1.0", "1.0")

			gamethread.delayed(es.ServerVar("sm_shout_delay"), used.remove, (player.steamid))
	else:
		es.tell(userid, "#green", messages("dead", tokens, player.get("lang")))

# ******************** Unload ********************
def unload():
	popuplib.delete("sm_popup_shout")